<?php

$kopa_layout = array(
    'home' => array(
        'title'      => __( 'Home', kopa_get_domain() ),
        'thumbnails' => 'home-page.jpg',
        'positions'  => array(
            'position_1',
            'position_2',
            'position_3',
            'position_4',
            'position_5',
            'position_6',
            'position_7',
            'position_8',
            'position_9',
            'position_10',
            'position_11',
            'position_12',
            'position_13',
            'position_14',
            'position_15',
            'position_16',
            'position_17',
        ),
    ),
    'blog' => array(
        'title'      => __( 'Blog 1', kopa_get_domain() ),
        'thumbnails' => 'blog.jpg',
        'positions'  => array(
            'position_18',
            'position_19',
            'position_20',
            'position_14',
            'position_15',
            'position_16',
            'position_17',
        ),
    ),
    'blog-2' => array(
        'title'      => __( 'Blog 2', kopa_get_domain() ),
        'thumbnails' => 'blog-2.jpg',
        'positions'  => array(
            'position_18',
            'position_19',
            'position_20',
            'position_14',
            'position_15',
            'position_16',
            'position_17',
        ),
    ),
    'page-right-sidebar' => array(
        'title'      => __( 'Page Right Sidebar', kopa_get_domain() ),
        'thumbnails' => 'page.jpg',
        'positions'  => array(
            'position_18',
            'position_14',
            'position_15',
            'position_16',
            'position_17',
        ),
    ),
    'page-fullwidth' => array(
        'title'      => __( 'Page Fullwidth', kopa_get_domain() ),
        'thumbnails' => 'page-fullwidth.jpg',
        'positions'  => array(
            'position_14',
            'position_15',
            'position_16',
            'position_17',
        ),
    ),
    'single-right-sidebar' => array(
        'title'      => __( 'Single Right Sidebar', kopa_get_domain() ),
        'thumbnails' => 'single.jpg',
        'positions'  => array(
            'position_18',
            'position_14',
            'position_15',
            'position_16',
            'position_17',
        ),
    ),
    'error-404' => array(
        'title' => __( '404 Page', kopa_get_domain() ),
        'thumbnails' => 'error-404.jpg',
        'positions'  => array(
            'position_14',
            'position_15',
            'position_16',
            'position_17',
        ),
    ),
);

$kopa_sidebar_position = array(
    'position_1'  => array( 'title' => __( 'Widget Area 1', kopa_get_domain() ) ),
    'position_2'  => array( 'title' => __( 'Widget Area 2', kopa_get_domain() ) ),
    'position_3'  => array( 'title' => __( 'Widget Area 3', kopa_get_domain() ) ),
    'position_4'  => array( 'title' => __( 'Widget Area 4', kopa_get_domain() ) ),
    'position_5'  => array( 'title' => __( 'Widget Area 5', kopa_get_domain() ) ),
    'position_6'  => array( 'title' => __( 'Widget Area 6', kopa_get_domain() ) ),
    'position_7'  => array( 'title' => __( 'Widget Area 7', kopa_get_domain() ) ),
    'position_8'  => array( 'title' => __( 'Widget Area 8', kopa_get_domain() ) ),
    'position_9'  => array( 'title' => __( 'Widget Area 9', kopa_get_domain() ) ),
    'position_10' => array( 'title' => __( 'Widget Area 10', kopa_get_domain() ) ),
    'position_11' => array( 'title' => __( 'Widget Area 11', kopa_get_domain() ) ),
    'position_12' => array( 'title' => __( 'Widget Area 12', kopa_get_domain() ) ),
    'position_13' => array( 'title' => __( 'Widget Area 13', kopa_get_domain() ) ),
    'position_14' => array( 'title' => __( 'Widget Area 14', kopa_get_domain() ) ),
    'position_15' => array( 'title' => __( 'Widget Area 15', kopa_get_domain() ) ),
    'position_16' => array( 'title' => __( 'Widget Area 16', kopa_get_domain() ) ),
    'position_17' => array( 'title' => __( 'Widget Area 17', kopa_get_domain() ) ),
    'position_18' => array( 'title' => __( 'Widget Area 18', kopa_get_domain() ) ),
    'position_19' => array( 'title' => __( 'Widget Area 19', kopa_get_domain() ) ),
    'position_20' => array( 'title' => __( 'Widget Area 20', kopa_get_domain() ) ),
);

$kopa_template_hierarchy = array(
    'home'       => array(
        'title'  => __( 'Home', kopa_get_domain() ),
        'layout' => array('blog', 'blog-2')
    ),
    'front-page' => array(
        'title'  => __( 'Front Page', kopa_get_domain() ),
        'layout' => array('home')
    ),
    'post'       => array(
        'title'  => __( 'Post', kopa_get_domain() ),
        'layout' => array('single-right-sidebar')
    ),
    'page'       => array(
        'title'  => __( 'Page', kopa_get_domain() ),
        'layout' => array('home', 'page-right-sidebar', 'page-fullwidth')
    ),
    'taxonomy'   => array(
        'title'  => __( 'Taxonomy', kopa_get_domain() ),
        'layout' => array('blog', 'blog-2')
    ),
    'search'     => array(
        'title'  => __( 'Search', kopa_get_domain() ),
        'layout' => array('blog', 'blog-2')
    ),
    'archive'    => array(
        'title'  => __( 'Archive', kopa_get_domain() ),
        'layout' => array('blog', 'blog-2')
    ),
    '_404'    => array(
        'title'  => __( '404', kopa_get_domain() ),
        'layout' => array('error-404')
    )
);

define('KOPA_INIT_VERSION', 'musica-setting-version-10');
define('KOPA_LAYOUT', serialize($kopa_layout));
define('KOPA_SIDEBAR_POSITION', serialize($kopa_sidebar_position));
define('KOPA_TEMPLATE_HIERARCHY', serialize($kopa_template_hierarchy));

function kopa_initial_database() {
    $kopa_is_database_setup = get_option('kopa_is_database_setup');
    if ($kopa_is_database_setup !== KOPA_INIT_VERSION) {
        $kopa_setting = array(
            'home' => array(
                'layout_id' => 'blog-2',
                'sidebars'  => array(
                    'sidebar_18',
                    'sidebar_19',
                    'sidebar_20',
                    'sidebar_14',
                    'sidebar_15',
                    'sidebar_16',
                    'sidebar_17',
                )
            ),
            'front-page' => array(
                'layout_id' => 'home',
                'sidebars'  => array(
                    'sidebar_1',
                    'sidebar_2',
                    'sidebar_3',
                    'sidebar_4',
                    'sidebar_5',
                    'sidebar_6',
                    'sidebar_7',
                    'sidebar_8',
                    'sidebar_9',
                    'sidebar_10',
                    'sidebar_11',
                    'sidebar_12',
                    'sidebar_13',
                    'sidebar_14',
                    'sidebar_15',
                    'sidebar_16',
                    'sidebar_17',
                )
            ),
            'post' => array(
                'layout_id' => 'single-right-sidebar',
                'sidebars'  => array(
                    'sidebar_18',
                    'sidebar_14',
                    'sidebar_15',
                    'sidebar_16',
                    'sidebar_17',
                )
            ),
            'page' => array(
                'layout_id' => 'page-right-sidebar',
                'sidebars'  => array(
                    'sidebar_18',
                    'sidebar_14',
                    'sidebar_15',
                    'sidebar_16',
                    'sidebar_17',
                )
            ),
            'taxonomy' => array(
                'layout_id' => 'blog-2',
                'sidebars'  => array(
                    'sidebar_18',
                    'sidebar_19',
                    'sidebar_20',
                    'sidebar_14',
                    'sidebar_15',
                    'sidebar_16',
                    'sidebar_17',
                )
            ),
            'search' => array(
                'layout_id' => 'blog-2',
                'sidebars'  => array(
                    'sidebar_18',
                    'sidebar_19',
                    'sidebar_20',
                    'sidebar_14',
                    'sidebar_15',
                    'sidebar_16',
                    'sidebar_17',
                )
            ),
            'archive' => array(
                'layout_id' => 'blog-2',
                'sidebars'  => array(
                    'sidebar_18',
                    'sidebar_19',
                    'sidebar_20',
                    'sidebar_14',
                    'sidebar_15',
                    'sidebar_16',
                    'sidebar_17',
                )
            ),
            '_404' => array(
                'layout_id' => 'error-404',
                'sidebars'  => array(
                    'sidebar_14',
                    'sidebar_15',
                    'sidebar_16',
                    'sidebar_17',
                )
            ),
        );
        $kopa_sidebar = array(
            'sidebar_hide' => __( '-- None --', kopa_get_domain() ),
            'sidebar_1'    => __( 'Sidebar 1', kopa_get_domain() ),
            'sidebar_2'    => __( 'Sidebar 2', kopa_get_domain() ),
            'sidebar_3'    => __( 'Sidebar 3', kopa_get_domain() ),
            'sidebar_4'    => __( 'Sidebar 4', kopa_get_domain() ),
            'sidebar_5'    => __( 'Sidebar 5', kopa_get_domain() ),
            'sidebar_6'    => __( 'Sidebar 6', kopa_get_domain() ),
            'sidebar_7'    => __( 'Sidebar 7', kopa_get_domain() ),
            'sidebar_8'    => __( 'Sidebar 8', kopa_get_domain() ),
            'sidebar_9'    => __( 'Sidebar 9', kopa_get_domain() ),
            'sidebar_10'   => __( 'Sidebar 10', kopa_get_domain() ),
            'sidebar_11'   => __( 'Sidebar 11', kopa_get_domain() ),
            'sidebar_12'   => __( 'Sidebar 12', kopa_get_domain() ),
            'sidebar_13'   => __( 'Sidebar 13', kopa_get_domain() ),
            'sidebar_14'   => __( 'Sidebar 14', kopa_get_domain() ),
            'sidebar_15'   => __( 'Sidebar 15', kopa_get_domain() ),
            'sidebar_16'   => __( 'Sidebar 16', kopa_get_domain() ),
            'sidebar_17'   => __( 'Sidebar 17', kopa_get_domain() ),
            'sidebar_18'   => __( 'Sidebar 18', kopa_get_domain() ),
            'sidebar_19'   => __( 'Sidebar 19', kopa_get_domain() ),
            'sidebar_20'   => __( 'Sidebar 20', kopa_get_domain() ),
        );
        update_option('kopa_setting', $kopa_setting);
        update_option('kopa_sidebar', $kopa_sidebar);
        update_option('kopa_is_database_setup', KOPA_INIT_VERSION);
    }

    $kopa_sidebar = get_option('kopa_sidebar');

    foreach ($kopa_sidebar as $key => $value) {
        if ('sidebar_hide' != $key) {
            register_sidebar(array(
                'name'          => $value,
                'id'            => $key,
                'before_widget' => '<div id="%1$s" class="widget %2$s">',
                'after_widget'  => '</div>',
                'before_title'  => '<h3 class="widget-title">',
                'after_title'   => '</h3>'
            ));
        }
    }
}